import { ElementRef } from '@angular/core';
import { AsPrismOptions } from './as-prism.interface';
import * as i0 from "@angular/core";
export declare class AsPrismService {
    /**
     * @param {ElementRef} el - HTMLELement
     * @param {AsPrismOptions} [options] - Highligher Option
     * @publicApi
     */
    highlightElement(el: ElementRef, options?: AsPrismOptions): void;
    /**
     * @param {String} code - string
     * @param {String} language - string
     * @experimental this class includes breaking change.
     */
    highligh(code: string, language: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsPrismService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AsPrismService>;
}
